package src;

import java.util.Scanner;

public class ManualBot extends Bot{

    Scanner scanner = new Scanner(System.in);

    protected ManualBot(String[] args) {
        super(args);
    }

    public static void main(String[] args) {
        ManualBot bot = new ManualBot(args);
        bot.run();
    }
    @Override
    protected char nextMove(View view) throws Exception {
        char ch = 0;
        if(scanner.hasNextLine()){
           ch =  scanner.nextLine().toCharArray()[0];
        }

        return switch (ch) {
            case 'w' -> '^';
            case 's' -> 'v';
            case 'a' -> '<';
            case 'd' -> '>';
            case 'q' -> throw new Exception();
            default -> 'l';
        };
    }
}
