package src;

public class EscapeBot extends Bot{
    int stepCounter = 0;
    int turnCount = 0;
    int viewRange = 5;
    int straightLength = 1;
    protected EscapeBot(String[] args) {
        super(args);
    }

    public static void main(String[] args) {
        EscapeBot bot = new EscapeBot(args);
        bot.run();
    }
    @Override
    protected char nextMove(View view) throws Exception {

        if(!view.data.contains("o")){

            if(turnCount == 2){
                turnCount = 0;
                straightLength++;
            }
            if(stepCounter < straightLength * viewRange){
                stepCounter++;
                return '^';
            }else{
                stepCounter = 0;
                turnCount++;
                return '>';
            }
        }else{
            if(view.data.substring(0,10).contains("o")){
                return '^';
            }else if(view.data.substring(10,12).contains("o")){
                return '<';
            }else if (view.data.substring(13,15).contains("o")) {
                return '>';
            }else if(view.data.substring(15,25).contains("o")){
                return 'v';
            }
        }

        return 0;
    }
}
